﻿using System.Collections.Generic;

namespace Rendszerhiba_Újratöltve
{
    /// <summary>
    /// Reprezentálja az egész HTML dokumentumot
    /// </summary>
    class HTMLDokumentum : ÖsszetettHTMLElem
    {
        public HTMLDokumentum(IEnumerable<IHTMLElem> elemek)
            : base(elemek)
        {

        }

        public override string Kiír()
        {
            return "<html>\n<body>\n" + KiírTartalamat() + "\n</body>\n</html>";
        }

        // Elválasztja a belső HTML elemeket
        protected override string Elválasztó
        {
            get
            {
                return "\n";
            }
        }
    }
}
