﻿using System.Collections.Generic;

namespace Rendszerhiba_Újratöltve
{
    /// <summary>
    /// Reprezentál egy HTML link elemet
    /// </summary>
    class HTMLLink : ÖsszetettHTMLElem
    {
        string Hivatkozás;

        public HTMLLink(string hivatkozás, IEnumerable<IHTMLElem> tartalom)
            : base(tartalom)
        {
            Hivatkozás = hivatkozás;
        }

        public override string Kiír()
        {
            return "<a href=\"" + Hivatkozás.Replace("\"", "%22") + "\">" + KiírTartalamat() + "</a>";
        }
    }
}
