﻿namespace Rendszerhiba_Újratöltve
{
    /// <summary>
    /// Értelmezi a markdown kódban a visszaper karakterrel megelőzött karaktereket
    /// </summary>
    class MarkdownBackslashÉrtelemző : IMarkdownElemÉrtelmező
    {
        public bool Értelemezhető(string szöveg, int index)
        {
            return szöveg[index] == '\\';
        }

        public IHTMLElem Értelmez(string szöveg, ref int index)
        {
            index++;
            return new HTMLKarakter(szöveg[index++]);
        }
    }
}
