﻿using System.Collections.Generic;

namespace Rendszerhiba_Újratöltve
{
    /// <summary>
    /// Reprezentál egy HTML címsor elemet
    /// </summary>
    class HTMLCímsor : ÖsszetettHTMLElem
    {
        protected int HTMLCímsorSzint;

        public HTMLCímsor(int hanyadikHTMLCímsor, IEnumerable<IHTMLElem> tartalom)
            : base(tartalom)
        {
            HTMLCímsorSzint = hanyadikHTMLCímsor;
        }

        public override string Kiír()
        {
            return "<h" + HTMLCímsorSzint + ">" + KiírTartalamat() + "</h" + HTMLCímsorSzint + ">";
        }
    }
}
