﻿using System;
using System.IO;

namespace Rendszerhiba_Újratöltve
{
    class Program
    {
        /// <summary>
        /// Program belépési pontja
        /// </summary>
        static void Main()
        {
            // Bemeneti fájl beolvasása
            string bemenet = File.ReadAllText("input.md");

            // Markdown formátumú szöveg értelmezése
            HTMLDokumentum html = MarkdownÉrtelmező.Értelmez(bemenet);

            // HTML formátumú szöveg összeállítása
            string kimenet = html.Kiír();

            // Kimeneti fájlba írás
            File.WriteAllText("output.html", kimenet);

            /*
             * Tesztelés céljából írtuk a következő részt.
             * DEBUG fordítási kapcsolóval fordítva (Debug és nem Release profillal)
             * fog csak "belefordulni" a kódba a következő rész
             */
#if DEBUG
            Console.WriteLine("BEMENET");
            Console.WriteLine();
            Console.WriteLine(bemenet);
            Console.WriteLine();
            Console.WriteLine("KIMENET");
            Console.WriteLine();
            Console.WriteLine(kimenet);
            Console.ReadKey();
#endif
        }
    }
}
